> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a faculty activity

> Returns a single faculty activity by ID



## OpenAPI

````yaml /openapi.json get /api/v1/faculty_activities/{id}
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/faculty_activities/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Faculty Activities
      summary: Get a faculty activity
      description: Returns a single faculty activity by ID
      operationId: getFacultyActivity
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: 'Comma-separated list of relationships to include. Allowed: `profile`'
          schema:
            type: string
      responses:
        '200':
          description: faculty activity found
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/FacultyActivity'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    FacultyActivity:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: faculty_activity
          example: faculty_activity
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            key:
              type:
                - string
                - 'null'
              description: >-
                This key links the faculty activity to its
                faculty_activity_configuration
            external_id:
              type:
                - string
                - 'null'
              description: >-
                An optional external identifier for the activity, such as an ID
                from an external system. We highly recommend setting this value
                if this resource is being synchronized from an external system,
                as it will help prevent duplicate entries when syncing data.
            featured:
              type:
                - boolean
                - 'null'
            start_date:
              type:
                - string
                - 'null'
              format: date
            end_date:
              type:
                - string
                - 'null'
              format: date
            properties:
              type:
                - object
                - 'null'
            calculated_properties:
              type:
                - object
                - 'null'
        relationships:
          type: object
          properties:
            profile:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: profile
                      example: profile
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````